# Coverage report
require 'simplecov'
SimpleCov.start do
  add_filter "/spec/"
end

# Environment
ENV['RAILS_ENV'] = 'test'

require 'rspec'
require 'ffaker'
require 'pry'

require 'shipwire'

Dir[File.join(File.dirname(__FILE__), 'support/**/*.rb')].each { |f| require f }

RSpec.configure do |config|
  config.deprecation_stream = 'rspec.log'

  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.filter_run :focus
  config.run_all_when_everything_filtered = true

  config.disable_monkey_patching!

  config.warnings = false

  if config.files_to_run.one?
    config.default_formatter = 'doc'
  end

  # config.profile_examples = 10
end
